<section>
  <div class="section-content">
    <h2>Profile</h2>
    <img src="assets/logo-dark-bg.png" alt="" class="circle" width="128" />
    <h3>Name</h3>
    <div style="line-height: 3.5em;">
      <span class="margin">
        <button mat-stroked-button>Change picture</button>
      </span>
      <span class="margin">
        <button mat-stroked-button class="margin">Change name</button>
      </span>
    </div>
  </div>
</section>
<section>
  <div class="section-content">
    <div style="width:100%">
      <h2>Account Settings</h2>
      <h3>Email</h3>
      <div *ngIf="authService.user | async as user">
        <ng-container *ngIf="!editingEmail; else elseTemplate">
          <p>{{ user.email }}</p>
          <button mat-stroked-button (click)="toggleEmailEditing()">
            Change email
          </button>
        </ng-container>
        <ng-template #elseTemplate>
          <form (submit)="saveEmail($event)">
            <mat-form-field>
              <input
                name="email"
                matInput
                placeholder="New Email"
                type="email"
              />
            </mat-form-field>
            <span class="margin">
              <button mat-button type="submit">Submit</button>
            </span>
            <span>
              <button mat-button (click)="toggleEmailEditing()">
                Cancel
              </button>
            </span>
          </form>
        </ng-template>
      </div>

      <h3>Password</h3>
      <button
        mat-stroked-button
        (click)="resetPassword()"
        [disabled]="sendingPassword"
      >
        Change password
      </button>
      <span class="margin">
        <span *ngIf="sendingPassword">
          <mat-spinner
            diameter="16"
            color="accent"
            strokeWidth="4"
            style="display: inline"
          ></mat-spinner>
        </span>
        <span *ngIf="passwordSent && !sendingPassword"
          >️<span class="text-accent">✔</span>
          <span class="small margin">Password reset email sent</span></span
        >
      </span>
    </div>
  </div>
</section>
<section>
  <div class="section-content">
    <div style="width:100%">
      <h2>Logout</h2>
      <button mat-stroked-button (click)="logout()">
        Logout
      </button>
    </div>
  </div>
</section>
